/* MAIN HEADER */

:root {
  --header-height: 150px;
}
header {
  background: var(--background);
  display: flex;
  flex-direction: column;
  align-content: center;
  position: relative;
  width: 100%;
  z-index: 100;

}

header.sticky {
  position: sticky;
  top: 0;
}

body.admin-bar header.sticky {
  top: 32px;
}

@media screen and (max-width: 782px) {
  body.admin-bar header.sticky {
    top: 46px;
  }
}

.header-wrapper {
  width: var(--wide-wrapper);
  margin: 0 auto;
  padding: 20px 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  -webkit-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;
}

.header-inner-wrapper a {
  display: block;
  line-height: 1;
}

.logo-container img {
  max-width: 300px;
  max-height: 75px;
  width: auto;
  height: auto;
}

#main-nav-container {
  background: var(--background);
  width: 100%;
}

.desktop-nav {
  display: block;
}

header nav ul {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0;
  gap: 0 24px;
}

header nav ul li a {
  color: var(--text);
  text-decoration: none;
  text-transform: uppercase;
  font-weight: 600;
  font-size: 0.9rem;
  white-space: nowrap;
  padding: 8px 0;
  line-height: 1;
}

header nav ul li a:hover {
  color: var(--main);
}

header .current-menu-item>a,
header .current_page_item>a {
  text-decoration: underline;
  text-decoration-color: var(--accent);
  text-decoration-thickness: 1px;
  text-underline-offset: 0.5ch;
}

header .nav-button a {
  color: var(--background);
  background-color: var(--main);
  border-radius: 0;
  line-height: 1;
  white-space: nowrap;
  padding: 8px 25px;
  text-transform: uppercase;
  font-weight: 600;
  transition: var(--transition);
  -webkit-transition: var(--transition);
}

header .nav-button a:hover {
  color: var(--main);
  background-color: var(--accent);
}

header .nav .sub-menu {
  display: none;
  position: absolute;
  z-index: 100;
  padding: 14px;
  margin: 10px 0 0;
  background: var(--background);
  box-shadow: var(--box-shadow);
}

header .menu-item-has-children:hover .sub-menu,
header .menu-item-has-children:focus-within .sub-menu {
  display: block;
}

header .nav .sub-menu li {
  margin: 18px 0;
}

header .nav .sub-menu li:first-child {
  margin-top: 0;
}

header .nav .sub-menu li:last-child {
  margin-bottom: 0;
}

header .menu-item-has-children {
  position: relative;
}

header .menu-item-has-children>a {
  position: relative;
}

header .menu-item-has-children>a::before {
  content: "";
  position: absolute;
  display: block;
  width: calc(100% + 50px);
  margin-left: -25px;
  height: 50px;
}

header .menu-item-has-children>a::after {
  content: "";
  display: inline-block;
  margin-left: 10px;
  position: relative;
  top: -2px;
  background: var(--text);
  height: 10px;
  width: 10px;
  mask-image: var(--down-arrow);
  mask-position: center;
  mask-size: contain;
  mask-repeat: no-repeat;
}

header .menu-item-has-children .menu-item-has-children>a::after {
  transform: rotate(-90deg);
}

/* Hide nested sub-menus by default */
header nav > .sub-menu > .menu-item-has-children > .sub-menu {
  display: none;
}

/* Hide nested sub-menu of main parent item */
header nav ul li.menu-item-has-children:hover > .sub-menu > .menu-item-has-children > .sub-menu {
  display: block;
  opacity: 0;
  pointer-events: none;
  position: absolute;
  /* transition: var(--transition); */
}

/* Display nested sub-menu on hover over nested parent item */
header nav ul li.menu-item-has-children:hover > .sub-menu > .menu-item-has-children:hover > .sub-menu {
  opacity: 1;
  pointer-events: auto;
}

header nav ul li .sub-menu li.menu-item-has-children {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
}

header nav ul li .sub-menu .sub-menu {
  position: absolute;
  left: calc(100% + 15px);
}

.bar {
  height: 3px;
  width: 20px;
  margin: 5px 0;
  background: var(--main);
  -webkit-transition: var(--transition);
  transition: var(--transition);
}

.nav-mobile-only,
.mobile-nav,
.mobile-search,
.header-inner-wrapper a.mobile-logo,
.hamburger {
  display: none;
}


/* TOP BAR & BOTTOM BANNER*/
.top-bar,
.bottom-bar {
  background: var(--main);
  color: var(--background);
  max-height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.top-bar-wrapper,
.bottom-bar-wrapper {
  width: var(--wide-wrapper);
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  padding: 8px 0;
  align-items: center;
  gap: 20px;
  font-size: 0.9rem;
}

.top-bar .nav-button a {
  color: var(--main);
  background-color: var(--accent);
  border-radius: 5px;
  line-height: 1;
  white-space: nowrap;
  padding: 6px 15px;
  text-transform: none;
  font-weight: 500;
  transition: var(--transition);
  -webkit-transition: var(--transition);
}

.top-bar .nav-button a:hover {
  background-color: var(--background);
  color: var(--main);
}

.top-bar ul {
  display: flex;
  list-style: none;
  justify-content: flex-end;
  align-items: center;
  margin: 0;
  padding-left: 0;
  gap: 20px;
}

.top-bar ul li {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.top-bar ul li a {
  color: var(--background);
  font-weight: 400;
  text-transform: none;
}

.top-bar ul li a:hover {
  color: var(--accent);
}

.top-bar .menu-item-has-children>a::after {
  background: var(--background);
  top: -1px;
}

.top-bar .nav .sub-menu {
  top: calc(100% - 10px);
  left: 0;
  min-width: 100%;
}

.top-bar .sub-menu li {
  justify-content: flex-start;
}

.top-bar .nav .sub-menu li a {
  color: var(--text);
}

.top-bar .nav .sub-menu li a:hover {
  color: var(--main);
}

.bottom-bar {
  background: #1f1f1f;
}

.bottom-bar-text {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

/* SEARCH BAR */
.top-bar .wp-block-search input[type="search"],
.mobile-search .wp-block-search input[type="search"] {
  min-width: 0;
  min-height: 0;
  width: 0;
  padding: 4px;
  border: 1px solid var(--main);
  -webkit-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;
  opacity: 0;
  font-size: 0.8rem;
}

.top-bar .wp-block-search input[type="search"]:focus,
.mobile-search .wp-block-search input[type="search"]:focus,
.top-bar .wp-block-search input[type="search"].active,
.mobile-search .wp-block-search input[type="search"].active {
  width: 200px;
  outline: none;
  opacity: 1;
}

.nav-search-wrapper {
  display: flex;
  align-items: center;
  position: relative;
}

.mobile-search .nav-search-wrapper {
  flex-direction: row-reverse;
}

.nav-search-wrapper button[type="submit"] {
  background: var(--search-icon);
  background-position: center;
  background-repeat: no-repeat;
  height: 1.2rem;
  width: auto;
  border: none;
  display: block;
  z-index: 2;
  -webkit-appearance: none;
}

.mobile-search .nav-search-wrapper button[type="submit"] {
  background: var(--search-icon);
  background-position: center;
  background-repeat: no-repeat;
}

.mobile-search .wp-block-search__button {
  margin-left:0;
  margin-right: 0.625em;
}

/* MOBILE */
@media screen and (max-width: 951px) {
  :root {
  	--header-height: 70px;
  }

  .top-bar,
  .desktop-nav {
    display: none;
  }

  .mobile-nav,
  .nav-mobile-only {
    display: block;
  }

  header {
    height: auto;
    font-size: var(--body-fs);
  }

  #main-nav-container {
    background: var(--background);
    border-bottom: 1px solid var(--accent);
  }

  #main-nav-container>.header-wrapper {
    height: var(--header-height);
    display: grid;
    grid-template-rows: var(--header-height) auto;
    grid-template-columns: auto auto;
    padding: 0;
  }

  /* Mobile logo */
  header .header-inner-wrapper .logo-container.has-mobile-logo a.logo,
  header .header-inner-wrapper .logo-container.has-mobile-logo a.custom-logo-link {
    display: none;
  }

  header .header-inner-wrapper .logo-container.has-mobile-logo a.mobile-logo {
    display: block;
  }

  header .logo-container.has-mobile-logo .logo-icon {
    max-height: var(--header-height);
    padding: 15px 0;
  }

  /* Normal logo */
  header .header-inner-wrapper .logo-container:not(.has-mobile-logo) a.mobile-logo {
    display: none;
  }

  header .header-inner-wrapper .logo-container:not(.has-mobile-logo) a.logo,
  header .header-inner-wrapper .logo-container:not(.has-mobile-logo) a.custom-logo-link {
    display: block;
  }

  header .logo-container:not(.has-mobile-logo) .logo-img,
  header .logo-container:not(.has-mobile-logo) .custom-logo {
    display: block;
    max-height: var(--header-height);
    padding: 15px 0;
  }

  header .nav {
    background: var(--main);
    border-bottom: 1px solid var(--accent);
    margin-left: calc(50% - 50vw);
    margin-right: calc(50% - 50vw);
    padding-bottom: 20px;
    grid-row: 2;
    grid-column-start: 1;
    grid-column-end: 3;
    position: relative;
    -webkit-transform: scaleY(0);
    transform: scaleY(0);
    -webkit-transform-origin: top;
    transform-origin: top;
    -webkit-transition: var(--transition);
    transition: var(--transition);
    z-index: 100;
	}

  header .nav.active {
    transform: scaleY(1);
  }

  .header-inner-wrapper {
    width: var(--wide-wrapper);
    height: var(--header-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .site-title, .hamburger {
    display: flex;
    height: var(--header-height);
    align-items: center;
  }

  .site-title a {
    display: flex;
    align-items: center;
    max-height: var(--header-height);
    max-width: 80%;
  }

	.nav ul,
  .mobile-search {
		display: flex;
    flex-direction: column;
    width: var(--wide-wrapper);
    margin: 20px auto;
	}

  header .nav ul {
    gap: 18px 0;
  }

	header .nav ul li a {
		margin: 0;
    color: var(--background);
    font-weight: 600;
	}

  header .nav ul li a:hover {
    color: var(--accent);
  }

	header .nav .sub-menu {
		display: block;
		position: static;
    padding-left: 24px;
    padding-bottom: 0;
    background: transparent;
    box-shadow: none;
	}

  header .sub-menu li, header .sub-menu li:last-child a, header .sub-menu li:first-child a {
    margin: 0;
  }

  header .menu-item-has-children > a::after {
    display: none;
  }

  header nav ul li .sub-menu li.menu-item-has-children {
    display: block;
  }

  header nav ul li .sub-menu .sub-menu {
    position: static;
  }

  .mobile-search {
    margin-bottom: 35px !important;
  }

  .nav-search-wrapper button[type="submit"] {
    background: var(--search-icon);
    background-position: center;
    background-repeat: no-repeat;
  }

  .mobile-search .nav-search-wrapper button[type="submit"] {
    background: var(--search-icon);
    background-position: center;
    background-repeat: no-repeat;
  }
  .hamburger {
    height: var(--header-height);
  }

	.hamburger.active .bar:nth-child(2) {
    -webkit-transform: translateX(10vw);
    transform: translateX(10vw);
    opacity: 0;
	}

	.hamburger.active .bar:nth-child(1) {
		-webkit-transform: translateY(8px) rotate(405deg);
		transform: translateY(8px) rotate(405deg);
	}

	.hamburger.active .bar:nth-child(3) {
		-webkit-transform: translateY(-8px) rotate(-45deg);
		transform: translateY(-8px) rotate(-45deg);
	}
}
